QGIS Application - Bug report #14441
Labeling settings not properly restored after save style / load style
2016-03-08 02:55 AM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 22420
Description

When going into layer properties and choosing "load style", the label settings in the dialog Ul are not updated and if you close the dialog
with "OK", no labels appear.

However, if one chooses "load style" and then closes the dialog with "Cancel”, the layer style is set correctly. (The loaded styling with
labels appears after a refresh of the map canvas.)

Related issues:
Related to QGIS Application - Bug report # 13667: rule based labelling is not... Closed 2015-10-25

History

#1 - 2016-03-09 01:30 AM - Daan Goedkoop

| cannot compile / debug right now, but | guess that this might be related to issue #13667. Maybe the QgsLabelingWidget::adaptToLayer introduced to fix
that bug doesn't trigger QgsLabelingWidget::labelModeChanged, or not at the right moment.

#2 - 2016-04-08 02:32 AM - Wouter Yperman

| can confirm this issue and the work around.

QGIS 2.14 on a Mac

#3 - 2016-04-10 04:05 AM - R. R.

See bug report #14224

#4 - 2016-04-10 04:11 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

duplicate of #14224
